# Fuzzer

```bash
sudo docker build --tag amlogicfuzzer:0.1 -f Dockerfile .
sudo docker create --name amlogicfuzzer -ti -v $(pwd):/fuzz amlogicfuzzer:0.1
sudo docker start amlogicfuzzer
sudo docker exec -ti amlogicfuzzer bash
```

## Deployting
Save the container
```bash
```

## Usage
```bash
afl-fuzz -U -m none -o /tmp/output_fuzz -i input/ python3 fuzzer.py
```

debug
```bash
AFL_I_DONT_CARE_ABOUT_MISSING_CRASHES=1 AFL_SKIP_CPUFREQ=1 AFL_DEBUG=1 afl-fuzz -U -m none  -o /tmp/output_fuzz2 -i input/ python3 fuzzer.py @@
```